Passer au contenu principal
POST
/
crm
/
objects
/
2026-03
/
{objectType}
/
batch
/
create
Créer des rendez-vous
curl --request POST \
  --url https://api.hubapi.com/crm/objects/2026-03/{objectType}/batch/create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputs": [
    {
      "associations": [
        {
          "to": {
            "id": "<string>"
          },
          "types": [
            {
              "associationCategory": "HUBSPOT_DEFINED",
              "associationTypeId": 123
            }
          ]
        }
      ],
      "properties": {},
      "objectWriteTraceId": "<string>"
    }
  ]
}
'
{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "archived": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "properties": {},
      "updatedAt": "2023-11-07T05:31:56Z",
      "archivedAt": "2023-11-07T05:31:56Z",
      "objectWriteTraceId": "<string>",
      "propertiesWithHistory": {},
      "url": "<string>"
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "status": "CANCELED",
  "links": {},
  "requestedAt": "2023-11-07T05:31:56Z"
}

Supported products

Autorisations

Authorization
string
header
requis

The access token received from the authorization server in the OAuth 2.0 flow.

Paramètres de chemin

objectType
string
requis

objectTypeId de type d'objet

Corps

application/json
inputs
object[]
requis

Réponse

successful operation

Objet de réponse de lot d'objet public

completedAt
string<date-time>
requis

L'horodatage du moment où le traitement du lot a été terminé, au format ISO 8601.

results
object[]
requis
startedAt
string<date-time>
requis

L'horodatage du moment où le traitement du lot a commencé, au format ISO 8601.

status
enum<string>
requis

Statut de la demande de traitement par lots : « EN ATTENTE », « TRAITEMENT », « ANNULÉ » ou « TERMINÉ »

Options disponibles:
CANCELED,
COMPLETE,
PENDING,
PROCESSING

Un objet contenant des liens pertinents relatifs à la demande de lot.

requestedAt
string<date-time>

L'horodatage du moment où la requête de lot a été faite initialement, au format ISO 8601.

Last modified on April 14, 2026